The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

No httpd After Install

Discussion in 'General Discussion' started by onezime, Aug 12, 2008.

  1. onezime

    onezime Member

    Joined:
    Mar 5, 2008
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    after a fresh install of cpanel on a fresh xen VPS it seems that apache isnt there and will not run, when i tried to add a user it say httpd.conf is corrupt so i try to update and when i run the update i get this output

    Code:
    If the browser window is closed or stopped the build will continue in the background.
    The build output should start shortly...
    
    !! Verbose logfile is at '/usr/local/cpanel/logs/easy/apache/build.1218585928' !!
    !!
    Ouput from '/bin/sh -c "ulimit -a"':
    core file size          (blocks, -c) 524288
    data seg size           (kbytes, -d) unlimited
    scheduling priority             (-e) 0
    file size               (blocks, -f) unlimited
    pending signals                 (-i) 8320
    max locked memory       (kbytes, -l) 32
    max memory size         (kbytes, -m) 524288
    open files                      (-n) 1024
    pipe size            (512 bytes, -p) 8
    POSIX message queues     (bytes, -q) 819200
    real-time priority              (-r) 0
    stack size              (kbytes, -s) 10240
    cpu time               (seconds, -t) unlimited
    max user processes              (-u) 8320
    virtual memory          (kbytes, -v) 524288
    file locks                      (-x) unlimited
    !!
    !! Skipping backup, no working apache found !!
    Checking that all tarballs are present and up to date.
    Checking that all packages are present and up to date.
    Loading "fastestmirror" plugin
    Loading mirror speeds from cached hostfile
    * base: mirrors.versaweb.com
    * updates: pubmirrors.reflected.net
    * addons: mirrors.easynews.com
    * extras: mirror.steadfast.net
    Excluding Packages in global exclude list
    Finished
    Setting up Install Process
    Parsing package install arguments
    No package zlib1-devel available.
    Package expat-devel - 1.95.8-8.2.1.i386 is already installed.
    No package automake19 available.
    No package libopenssl0-dev available.
    Package expat - 1.95.8-8.2.1.i386 is already installed.
    Package openssl - 0.9.8b-10.el5.i686 is already installed.
    Package gcc-c++ - 4.1.2-42.el5.i386 is already installed.
    Requested dep: glibc-devel is provided by installed package
    Package zlib-devel - 1.2.3-3.i386 is already installed.
    Package libstdc++ - 4.1.2-42.el5.i386 is already installed.
    Package zlib - 1.2.3-3.i386 is already installed.
    Package bison - 2.3-2.1.i386 is already installed.
    No package autoconf261 available.
    No package gmake available.
    Package libstdc++-devel - 4.1.2-42.el5.i386 is already installed.
    Package openssl-devel - 0.9.8b-10.el5.i386 is already installed.
    Package automake - 1.9.6-2.1.noarch is already installed.
    Package coreutils - 5.97-14.el5.i386 is already installed.
    No package libtool-libltdl-devel available.
    No package libopenssl0 available.
    No package openssl-dev available.
    Package libtool - 1.5.22-6.1.i386 is already installed.
    Package patch - 2.5.4-29.2.2.i386 is already installed.
    No package libstdc++-dev available.
    No package libz-devel available.
    No package libltdl available.
    No package libltdl3-devel available.
    No package libopenssl0.9.7-static-devel available.
    No package pam-dev available.
    No package libopenssl0.9.7-devel available.
    Requested dep: fileutils is provided by installed package
    No package libltdl-devel available.
    Package e2fsprogs-devel - 1.39-15.el5.i386 is already installed.
    Package sed - 4.1.5-5.fc6.i386 is already installed.
    Package lsof - 4.78-3.i386 is already installed.
    No package krb5-dev available.
    Package flex - 2.5.4a-41.fc6.i386 is already installed.
    No package glibc-dev available.
    No package expat-dev available.
    Package krb5-devel - 1.6.1-25.el5.i386 is already installed.
    Package make - 1:3.81-3.el5.i386 is already installed.
    Package libtool-ltdl - 1.5.22-6.1.i386 is already installed.
    No package libssl-dev available.
    Package cpp - 4.1.2-42.el5.i386 is already installed.
    Package gcc - 4.1.2-42.el5.i386 is already installed.
    No package libopenssl0-devel available.
    No package ssl-dev available.
    No package lex available.
    Package autoconf - 2.59-12.noarch is already installed.
    Resolving Dependencies
    --> Running transaction check
    ---> Package gettext.i386 0:0.14.6-4.el5 set to be updated
    ---> Package pam-devel.i386 0:0.99.6.2-3.27.el5 set to be updated
    --> Processing Dependency: pam = 0.99.6.2-3.27.el5 for package: pam-devel
    ---> Package libtool-ltdl-devel.i386 0:1.5.22-6.1 set to be updated
    --> Finished Dependency Resolution
    Error: Missing Dependency: pam = 0.99.6.2-3.27.el5 is needed by package pam-devel
    !! Could not ensure pkglist 'zlib1-devel, expat-devel, gettext, automake19, libopenssl0-dev, expat, openssl, gcc-c++, glibc-devel, zlib-devel, libstdc++, zlib, bison, autoconf261, gmake, libstdc++-devel, openssl-devel, automake, coreutils, libtool-libltdl-devel, libopenssl0, openssl-dev, libtool, patch, libstdc++-dev, libz-devel, libltdl, libltdl3-devel, libopenssl0.9.7-static-devel, pam-dev, libtool-ltdl-devel, libopenssl0.9.7-devel, fileutils, libltdl-devel, e2fsprogs-devel, sed, lsof, krb5-dev, flex, glibc-dev, expat-dev, krb5-devel, make, libtool-ltdl, libssl-dev, pam-devel, cpp, gcc, libopenssl0-devel, ssl-dev, lex, autoconf' !!
    !! Please visit http://www.cpanel.net/support/could_not_ensurepkgs.htm for help with this error. !!
    !! No original working apache backup to restore !!
    !! Executing '/scripts/initfpsuexec' !!
    !! Executing '/scripts/initsslhttpd' !!
    !! Verbose logfile is at '/usr/local/cpanel/logs/easy/apache/build.1218585928' !!
    Anyhelp is greatly appreciated..
     
  2. bazzii

    bazzii Member

    Joined:
    Jun 17, 2008
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    What you get while doing ,

    # cat /etc/resolve.conf
    # ping google.com
    # yum check-update
     
  3. chazzle

    chazzle Active Member

    Joined:
    Apr 10, 2003
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    I just had the same thing happen to me.

    # cat /etc/resolve.conf = No such file or directory
    # ping google.com = ping: sendmsg: Operation not permitted
    # yum check-update = -bash: yum: command not found


    Here is where mine started with the errors..
    Code:
    modules/ssl/.libs/mod_ssl.a(ssl_engine_init.o)(.text+0x8ab): In function `ssl_init_ctx_session_cache':
    : undefined reference to `SSL_CTX_sess_set_new_cb'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_init.o)(.text+0x8be): In function `ssl_init_ctx_session_cache':
    : undefined reference to `SSL_CTX_sess_set_get_cb'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_init.o)(.text+0x8d1): In function `ssl_init_ctx_session_cache':
    : undefined reference to `SSL_CTX_sess_set_remove_cb'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_init.o)(.text+0x924): In function `ssl_init_ctx_callbacks':
    : undefined reference to `SSL_CTX_set_info_callback'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_init.o)(.text+0x1421): In function `ssl_init_proxy_certs':
    : undefined reference to `SSL_CTX_set_client_cert_cb'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x282): In function `bio_filter_out_write':
    : undefined reference to `BIO_clear_flags'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x80e): In function `bio_filter_in_read':
    : undefined reference to `BIO_clear_flags'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x8b6): In function `bio_filter_in_read':
    : undefined reference to `BIO_set_flags'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x945): In function `bio_filter_in_read':
    : undefined reference to `BIO_set_flags'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x2484): In function `ssl_io_filter_init':
    : undefined reference to `BIO_set_callback'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x249e): In function `ssl_io_filter_init':
    : undefined reference to `BIO_set_callback_arg'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_io.o)(.text+0x296a): In function `ssl_io_data_cb':
    : undefined reference to `BIO_get_callback_arg'
    modules/ssl/.libs/mod_ssl.a(ssl_engine_kernel.o)(.text+0xb9f): In function `ssl_hook_Access':
    : undefined reference to `X509_STORE_CTX_set_depth'
    collect2: ld returned 1 exit status
    make[1]: *** [httpd] Error 1
    make[1]: Leaving directory `/home/cpeasyapache/src/httpd-2.0.63'
    make: *** [all-recursive] Error 1
    !! 'make' failed with exit code '512' !!
    !! No original working apache backup to restore !!
    !! Executing '/scripts/initfpsuexec' !!
    !! Executing '/scripts/initsslhttpd' !!
    Compiling report...
    Sending report (196071 bytes)...
    Report processed.
    !! Verbose logfile is at '/usr/local/cpanel/logs/easy/apache/build.1219959352' !!
    

    Any ideas?
     
    #3 chazzle, Aug 28, 2008
    Last edited: Aug 28, 2008
  4. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
Loading...

Share This Page